Index: trunk/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 1601)
@@ -4,17 +4,17 @@
    !! Ocean physics: internal restoring trend on active tracers (T and S)
    !!======================================================================
-   !! History :  5.0  !  91-03  (O. Marti, G. Madec)  Original code
-   !!                 !  92-06  (M. Imbard)  doctor norme
-   !!                 !  96-01  (G. Madec)  statement function for e3
-   !!                 !  97-05  (G. Madec)  macro-tasked on jk-slab
-   !!                 !  98-07  (M. Imbard, G. Madec) ORCA version
-   !!            7.0  !  01-02  (M. Imbard)  cofdis, Original code
-   !!            8.1  !  01-02  (G. Madec, E. Durand)  cleaning
-   !!            8.5  !  02-08  (G. Madec, E. Durand)  free form + modules
+   !! History :  OPA  ! 1991-03  (O. Marti, G. Madec)  Original code
+   !!                 ! 1992-06  (M. Imbard)  doctor norme
+   !!                 ! 1996-01  (G. Madec)  statement function for e3
+   !!                 ! 1997-05  (G. Madec)  macro-tasked on jk-slab
+   !!                 ! 1998-07  (M. Imbard, G. Madec) ORCA version
+   !!            7.0  ! 2001-02  (M. Imbard)  cofdis, Original code
+   !!            8.1  ! 2001-02  (G. Madec, E. Durand)  cleaning
+   !!  NEMO      1.0  ! 2002-08  (G. Madec, E. Durand)  free form + modules
+   !!            3.2  ! 2009-08  (G. Madec, C. Talandier)  DOCTOR norm for namelist parameter
    !!----------------------------------------------------------------------
 #if   defined key_tradmp   ||   defined key_esopa
    !!----------------------------------------------------------------------
    !!   key_tradmp                                         internal damping
-   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   tra_dmp      : update the tracer trend with the internal damping
@@ -29,9 +29,9 @@
    USE trdmod_oce      ! ocean variables trends
    USE zdf_oce         ! ocean vertical physics
-   USE in_out_manager  ! I/O manager
    USE phycst          ! Define parameters for the routines
    USE dtatem          ! temperature data
    USE dtasal          ! salinity data
    USE zdfmxl          ! mixed layer depth
+   USE in_out_manager  ! I/O manager
    USE lib_mpp         ! distribued memory computing
    USE prtctl          ! Print control
@@ -40,5 +40,5 @@
    PRIVATE
 
-   PUBLIC tra_dmp      ! routine called by step.F90
+   PUBLIC   tra_dmp    ! routine called by step.F90
 
 #if ! defined key_agrif
@@ -49,11 +49,11 @@
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   resto    !: restoring coeff. on T and S (s-1)
    
-   !!* newtonian damping namelist (mandmp) 
-   INTEGER  ::   ndmp   =   -1    ! = 0/-1/'latitude' for damping over T and S
-   INTEGER  ::   ndmpf  =    2    ! = 1 create a damping.coeff NetCDF file 
-   INTEGER  ::   nmldmp =    0    ! = 0/1/2 flag for damping in the mixed layer
-   REAL(wp) ::   sdmp   =   50.   ! surface time scale for internal damping (days)
-   REAL(wp) ::   bdmp   =  360.   ! bottom time scale for internal damping (days)
-   REAL(wp) ::   hdmp   =  800.   ! depth of transition between sdmp and bdmp (meters)
+   !                             !!* Namelist namtra_dmp : T & S newtonian damping *
+   INTEGER  ::   nn_hdmp =   -1   ! = 0/-1/'latitude' for damping over T and S
+   INTEGER  ::   nn_zdmp =    0   ! = 0/1/2 flag for damping in the mixed layer
+   REAL(wp) ::   rn_surf =   50.  ! surface time scale for internal damping        [days]
+   REAL(wp) ::   rn_bot  =  360.  ! bottom time scale for internal damping         [days]
+   REAL(wp) ::   rn_dep  =  800.  ! depth of transition between rn_surf and rn_bot [meters]
+   INTEGER  ::   nn_file =    2   ! = 1 create a damping.coeff NetCDF file 
 
    !! * Substitutions
@@ -61,5 +61,5 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -84,15 +84,12 @@
       !!      below the well mixed layer (nlmdmp=2)
       !!
-      !! ** Action  : - update the tracer trends (ta,sa) with the newtonian 
-      !!                damping trends.
-      !!              - save the trends in (ttrd,strd) ('key_trdtra')
+      !! ** Action  : - (ta,sa)   tracer trends updated with the damping trend
       !!----------------------------------------------------------------------
       USE oce, ONLY :   ztrdt => ua   ! use ua as 3D workspace   
       USE oce, ONLY :   ztrds => va   ! use va as 3D workspace   
       !!
-      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
-      !!
-      INTEGER  ::   ji, jj, jk            ! dummy loop indices
-      REAL(wp) ::   ztest, zta, zsa       ! temporary scalars
+      INTEGER, INTENT(in) ::   kt   ! ocean time-step index
+      !!
+      INTEGER ::   ji, jj, jk   ! dummy loop indices
       !!----------------------------------------------------------------------
 
@@ -104,59 +101,36 @@
       ENDIF
 
-      ! 1. Newtonian damping trends on tracer fields
-      ! --------------------------------------------
-      !    compute the newtonian damping trends depending on nmldmp
-
-      SELECT CASE ( nmldmp )
+      SELECT CASE ( nn_zdmp ) 
       !
-      CASE( 0 )                ! newtonian damping throughout the water column
+      CASE( 0 )                   !==  newtonian damping throughout the water column  ==!
          DO jk = 1, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
-                  zta = resto(ji,jj,jk) * ( t_dta(ji,jj,jk) - tb(ji,jj,jk) )
-                  zsa = resto(ji,jj,jk) * ( s_dta(ji,jj,jk) - sb(ji,jj,jk) )
-                  ! add the trends to the general tracer trends
-                  ta(ji,jj,jk) = ta(ji,jj,jk) + zta
-                  sa(ji,jj,jk) = sa(ji,jj,jk) + zsa
-                  ! save the salinity trend (used in flx to close the salt budget)
+                  ta(ji,jj,jk) = ta(ji,jj,jk) + resto(ji,jj,jk) * ( t_dta(ji,jj,jk) - tb(ji,jj,jk) )
+                  sa(ji,jj,jk) = sa(ji,jj,jk) + resto(ji,jj,jk) * ( s_dta(ji,jj,jk) - sb(ji,jj,jk) )
                END DO
             END DO
          END DO
          !
-      CASE ( 1 )                ! no damping in the turbocline (avt > 5 cm2/s)
+      CASE ( 1 )                  !==  no damping in the turbocline (avt > 5 cm2/s)  ==!
          DO jk = 1, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
-                  ztest = avt(ji,jj,jk) - 5.e-4
-                  IF( ztest < 0. ) THEN
-                     zta = resto(ji,jj,jk) * ( t_dta(ji,jj,jk) - tb(ji,jj,jk) )
-                     zsa = resto(ji,jj,jk) * ( s_dta(ji,jj,jk) - sb(ji,jj,jk) )
-                  ELSE
-                     zta = 0.e0
-                     zsa = 0.e0
+                  IF( avt(ji,jj,jk) <= 5.e-4 ) THEN
+                     ta(ji,jj,jk) = ta(ji,jj,jk) + resto(ji,jj,jk) * ( t_dta(ji,jj,jk) - tb(ji,jj,jk) )
+                     sa(ji,jj,jk) = sa(ji,jj,jk) + resto(ji,jj,jk) * ( s_dta(ji,jj,jk) - sb(ji,jj,jk) )
                   ENDIF
-                  ! add the trends to the general tracer trends
-                  ta(ji,jj,jk) = ta(ji,jj,jk) + zta
-                  sa(ji,jj,jk) = sa(ji,jj,jk) + zsa
-                  ! save the salinity trend (used in flx to close the salt budget)
                END DO
             END DO
          END DO
          !
-      CASE ( 2 )                ! no damping in the mixed layer 
+      CASE ( 2 )                  !==  no damping in the mixed layer   ==!
          DO jk = 1, jpkm1
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1   ! vector opt.
                   IF( fsdept(ji,jj,jk) >= hmlp (ji,jj) ) THEN
-                     zta = resto(ji,jj,jk) * ( t_dta(ji,jj,jk) - tb(ji,jj,jk) )
-                     zsa = resto(ji,jj,jk) * ( s_dta(ji,jj,jk) - sb(ji,jj,jk) )
-                  ELSE
-                     zta = 0.e0
-                     zsa = 0.e0
+                     ta(ji,jj,jk) = ta(ji,jj,jk) + resto(ji,jj,jk) * ( t_dta(ji,jj,jk) - tb(ji,jj,jk) )
+                     sa(ji,jj,jk) = sa(ji,jj,jk) + resto(ji,jj,jk) * ( s_dta(ji,jj,jk) - sb(ji,jj,jk) )
                   ENDIF
-                  ! add the trends to the general tracer trends
-                  ta(ji,jj,jk) = ta(ji,jj,jk) + zta
-                  sa(ji,jj,jk) = sa(ji,jj,jk) + zsa
-                  ! save the salinity trend (used in flx to close the salt budget)
                END DO
             END DO
@@ -165,10 +139,10 @@
       END SELECT
 
-      IF( l_trdtra )   THEN          ! save the damping tracer trends for diagnostic
+      IF( l_trdtra )   THEN       ! trend diagnostic
          ztrdt(:,:,:) = ta(:,:,:) - ztrdt(:,:,:)
          ztrds(:,:,:) = sa(:,:,:) - ztrds(:,:,:)
-         CALL trd_mod(ztrdt, ztrds, jptra_trd_dmp, 'TRA', kt)
+         CALL trd_mod( ztrdt, ztrds, jptra_trd_dmp, 'TRA', kt )
       ENDIF
-      !                              ! Control print
+      !                           ! Control print
       IF(ln_ctl)   CALL prt_ctl( tab3d_1=ta, clinfo1=' dmp  - Ta: ', mask1=tmask,   &
          &                       tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
@@ -184,12 +158,11 @@
       !!
       !! ** Method  :   read the nammbf namelist and check the parameters
-      !!      called by tra_dmp at the first timestep (nit000)
-      !!----------------------------------------------------------------------
-      NAMELIST/namtdp/ ndmp, ndmpf, nmldmp, sdmp, bdmp, hdmp
-      !!----------------------------------------------------------------------
-
-      REWIND ( numnam )                  ! Read Namelist namtdp : temperature and salinity damping term
-      READ   ( numnam, namtdp )
-      IF( lzoom )   nmldmp = 0           ! restoring to climatology at closed north or south boundaries
+      !!----------------------------------------------------------------------
+      NAMELIST/namtra_dmp/ nn_hdmp, nn_zdmp, rn_surf, rn_bot, rn_dep, nn_file
+      !!----------------------------------------------------------------------
+
+      REWIND ( numnam )                  ! Read Namelist namtra_dmp : temperature and salinity damping term
+      READ   ( numnam, namtra_dmp )
+      IF( lzoom )   nn_zdmp = 0           ! restoring to climatology at closed north or south boundaries
 
       IF(lwp) THEN                       ! Namelist print
@@ -197,27 +170,27 @@
          WRITE(numout,*) 'tra_dmp : T and S newtonian damping'
          WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '       Namelist namtdp : set damping parameter'
-         WRITE(numout,*) '          T and S damping option         ndmp   = ', ndmp
-         WRITE(numout,*) '          create a damping.coeff file    ndmpf  = ', ndmpf
-         WRITE(numout,*) '          mixed layer damping option     nmldmp = ', nmldmp, '(zoom: forced to 0)'
-         WRITE(numout,*) '          surface time scale (days)      sdmp   = ', sdmp
-         WRITE(numout,*) '          bottom time scale (days)       bdmp   = ', bdmp
-         WRITE(numout,*) '          depth of transition (meters)   hdmp   = ', hdmp
+         WRITE(numout,*) '   Namelist namtra_dmp : set damping parameter'
+         WRITE(numout,*) '      T and S damping option         nn_hdmp = ', nn_hdmp
+         WRITE(numout,*) '      mixed layer damping option     nn_zdmp = ', nn_zdmp, '(zoom: forced to 0)'
+         WRITE(numout,*) '      surface time scale (days)      rn_surf = ', rn_surf
+         WRITE(numout,*) '      bottom time scale (days)       rn_bot  = ', rn_bot
+         WRITE(numout,*) '      depth of transition (meters)   rn_dep  = ', rn_dep
+         WRITE(numout,*) '      create a damping.coeff file    nn_file = ', nn_file
       ENDIF
 
-      SELECT CASE ( ndmp )
-      CASE (  -1  )   ;   IF(lwp) WRITE(numout,*) '          tracer damping in the Med & Red seas only'
-      CASE ( 1:90 )   ;   IF(lwp) WRITE(numout,*) '          tracer damping poleward of', ndmp, ' degrees'
+      SELECT CASE ( nn_hdmp )
+      CASE (  -1  )   ;   IF(lwp) WRITE(numout,*) '   tracer damping in the Med & Red seas only'
+      CASE ( 1:90 )   ;   IF(lwp) WRITE(numout,*) '   tracer damping poleward of', nn_hdmp, ' degrees'
       CASE DEFAULT
-         WRITE(ctmp1,*) '          bad flag value for ndmp = ', ndmp
+         WRITE(ctmp1,*) '          bad flag value for nn_hdmp = ', nn_hdmp
          CALL ctl_stop(ctmp1)
       END SELECT
 
-      SELECT CASE ( nmldmp )
-      CASE ( 0 )   ;   IF(lwp) WRITE(numout,*) '          tracer damping throughout the water column'
-      CASE ( 1 )   ;   IF(lwp) WRITE(numout,*) '          no tracer damping in the turbocline (avt > 5 cm2/s)'
-      CASE ( 2 )   ;   IF(lwp) WRITE(numout,*) '          no tracer damping in the mixed layer'
+      SELECT CASE ( nn_zdmp )
+      CASE ( 0 )   ;   IF(lwp) WRITE(numout,*) '   tracer damping throughout the water column'
+      CASE ( 1 )   ;   IF(lwp) WRITE(numout,*) '   no tracer damping in the turbocline (avt > 5 cm2/s)'
+      CASE ( 2 )   ;   IF(lwp) WRITE(numout,*) '   no tracer damping in the mixed layer'
       CASE DEFAULT
-         WRITE(ctmp1,*) '          bad flag value for nmldmp = ', nmldmp
+         WRITE(ctmp1,*) 'bad flag value for nn_zdmp = ', nn_zdmp
          CALL ctl_stop(ctmp1)
       END SELECT
@@ -241,7 +214,7 @@
       !!
       !! ** Method  : - set along closed boundary due to zoom a damping over
-      !!      6 points with a max time scale of 5 days.
+      !!                6 points with a max time scale of 5 days.
       !!              - ORCA arctic/antarctic zoom: set the damping along
-      !!      south/north boundary over a latitude strip.
+      !!                south/north boundary over a latitude strip.
       !!
       !! ** Action  : - resto, the damping coeff. for T and S
@@ -270,34 +243,25 @@
       END DO
 
-
-      IF( lzoom_arct .AND. lzoom_anta ) THEN
-         !
-         ! ====================================================
-         !  ORCA configuration : arctic zoom or antarctic zoom
-         ! ====================================================
-
+      !                                           ! ====================================================
+      IF( lzoom_arct .AND. lzoom_anta ) THEN      !  ORCA configuration : arctic zoom or antarctic zoom
+         !                                        ! ====================================================
          IF(lwp) WRITE(numout,*)
          IF(lwp .AND. lzoom_arct ) WRITE(numout,*) '              dtacof_zoom : ORCA    Arctic zoom'
          IF(lwp .AND. lzoom_arct ) WRITE(numout,*) '              dtacof_zoom : ORCA Antarctic zoom'
          IF(lwp) WRITE(numout,*)
-
-         ! ... Initialization : 
-         !     zlat0 : latitude strip where resto decreases
-         !     zlat1 : resto = 1 before zlat1
-         !     zlat2 : resto decreases from 1 to 0 between zlat1 and zlat2
+         !
+         !                          ! Initialization : 
          resto(:,:,:) = 0.e0
-         zlat0 = 10.
-         zlat1 = 30.
-         zlat2 = zlat1 + zlat0
-
-         ! ... Compute arrays resto ; value for internal damping : 5 days
-         DO jk = 2, jpkm1
+         zlat0 = 10.                     ! zlat0 : latitude strip where resto decreases
+         zlat1 = 30.                     ! zlat1 : resto = 1 before zlat1
+         zlat2 = zlat1 + zlat0           ! zlat2 : resto decreases from 1 to 0 between zlat1 and zlat2
+
+         DO jk = 2, jpkm1           ! Compute arrays resto ; value for internal damping : 5 days
             DO jj = 1, jpj
                DO ji = 1, jpi
                   zlat = ABS( gphit(ji,jj) )
-                  IF ( zlat1 <= zlat .AND. zlat <= zlat2 ) THEN
-                     resto(ji,jj,jk) = 0.5 * ( 1./(5.*rday) ) *   &
-                        ( 1. - cos(rpi*(zlat2-zlat)/zlat0) ) 
-                  ELSE IF ( zlat < zlat1 ) THEN
+                  IF( zlat1 <= zlat .AND. zlat <= zlat2 ) THEN
+                     resto(ji,jj,jk) = 0.5 * ( 1./(5.*rday) ) * ( 1. - cos(rpi*(zlat2-zlat)/zlat0) ) 
+                  ELSEIF( zlat < zlat1 ) THEN
                      resto(ji,jj,jk) = 1./(5.*rday)
                   ENDIF
@@ -307,6 +271,5 @@
          !
       ENDIF
-
-      ! ... Mask resto array
+      !                             ! Mask resto array
       resto(:,:,:) = resto(:,:,:) * tmask(:,:,:)
       !
@@ -321,6 +284,6 @@
       !!
       !! ** Method  :   Arrays defining the damping are computed for each grid
-      !!      point for temperature and salinity (resto)
-      !!      Damping depends on distance to coast, depth and latitude
+      !!                point for temperature and salinity (resto)
+      !!                Damping depends on distance to coast, depth and latitude
       !!
       !! ** Action  : - resto, the damping coeff. for T and S
@@ -330,10 +293,10 @@
       !!
       INTEGER ::   ji, jj, jk                   ! dummy loop indices
-      INTEGER ::   ii0, ii1, ij0, ij1           !    "          "
+      INTEGER ::   ii0, ii1, ij0, ij1           !    -          -
       INTEGER ::   inum0                        ! logical unit for file restoring damping term
       INTEGER ::   icot                         ! logical unit for file distance to the coast
       REAL(wp) ::   zinfl, zlon                 ! temporary scalars
-      REAL(wp) ::   zlat, zlat0, zlat1, zlat2   !    "         "
-      REAL(wp) ::   zsdmp, zbdmp                !    "         "
+      REAL(wp) ::   zlat, zlat0, zlat1, zlat2   !    -         -
+      REAL(wp) ::   zsdmp, zbdmp                !    -         -
       REAL(wp), DIMENSION(jpk)         ::   zhfac
       REAL(wp), DIMENSION(jpi,jpj)     ::   zmrs
@@ -350,42 +313,26 @@
 
       ! ... Initialization : 
-      !   zdct()      : distant to the coastline
-      !   resto()     : array of restoring coeff. on T and S
-
       resto(:,:,:) = 0.e0
 
-      IF ( ndmp > 0 ) THEN
-
-         !    ------------------------------------
-         !     Damping poleward of 'ndmp' degrees
-         !    ------------------------------------
-
+      !                           !-----------------------------------------!
+      IF( nn_hdmp > 0 ) THEN      !  Damping poleward of 'nn_hdmp' degrees  !
+         !                        !-----------------------------------------!
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '              Damping poleward of ', ndmp,' deg.'
-         IF(lwp) WRITE(numout,*)
-
-         ! ... Distance to coast (zdct)
-
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) ' dtacof : distance to coast file'
+         IF(lwp) WRITE(numout,*) '              Damping poleward of ', nn_hdmp,' deg.'
+         !
          CALL iom_open ( 'dist.coast.nc', icot, ldstop = .FALSE. )
-         IF( icot > 0 ) THEN
-            CALL iom_get ( icot, jpdom_data, 'Tcoast', zdct )
-            CALL iom_close (icot)
-         ELSE
-            !   ... Compute and save the distance-to-coast array (output in zdct)
+         !
+         IF( icot > 0 ) THEN          ! distance-to-coast read in file
+            CALL iom_get  ( icot, jpdom_data, 'Tcoast', zdct )
+            CALL iom_close( icot )
+         ELSE                         ! distance-to-coast computed and saved in file (output in zdct)
             CALL cofdis( zdct )
          ENDIF
 
-         ! ... Compute arrays resto 
-         !      zinfl : distance of influence for damping term
-         !      zlat0 : latitude strip where resto decreases
-         !      zlat1 : resto = 0 between -zlat1 and zlat1
-         !      zlat2 : resto increases from 0 to 1 between |zlat1| and |zlat2|
-         !          and resto = 1 between |zlat2| and 90 deg.
-         zinfl = 1000.e3
-         zlat0 = 10
-         zlat1 = ndmp
-         zlat2 = zlat1 + zlat0
+         !                            ! Compute arrays resto 
+         zinfl = 1000.e3                   ! distance of influence for damping term
+         zlat0 = 10.                       ! latitude strip where resto decreases
+         zlat1 = REAL( nn_hdmp )           ! resto = 0 between -zlat1 and zlat1
+         zlat2 = zlat1 + zlat0             ! resto increases from 0 to 1 between |zlat1| and |zlat2|
 
          DO jj = 1, jpj
@@ -400,13 +347,11 @@
          END DO
 
-         !   ... North Indian ocean (20N/30N x 45E/100E) : resto=0
-         IF ( ndmp == 20 ) THEN
+         IF ( nn_hdmp == 20 ) THEN       ! North Indian ocean (20N/30N x 45E/100E) : resto=0
             DO jj = 1, jpj
                DO ji = 1, jpi
                   zlat = gphit(ji,jj)
                   zlon = MOD( glamt(ji,jj), 360. )
-                  IF ( zlat1 < zlat .AND. zlat < zlat2 .AND.   &
-                     45.  < zlon .AND. zlon < 100. ) THEN
-                     resto(ji,jj,1) = 0.
+                  IF ( zlat1 < zlat .AND. zlat < zlat2 .AND. 45. < zlon .AND. zlon < 100. ) THEN
+                     resto(ji,jj,1) = 0.e0
                   ENDIF
                END DO
@@ -414,6 +359,6 @@
          ENDIF
 
-         zsdmp = 1./(sdmp * rday)
-         zbdmp = 1./(bdmp * rday)
+         zsdmp = 1./(rn_surf * rday)
+         zbdmp = 1./(rn_bot  * rday)
          DO jk = 2, jpkm1
             DO jj = 1, jpj
@@ -423,5 +368,5 @@
                   resto(ji,jj,jk) = resto(ji,jj,1) * 0.5 * ( 1. - COS( rpi*zdct(ji,jj,jk)/zinfl) )
                   !   ... Vertical variation from zsdmp (sea surface) to zbdmp (bottom)
-                  resto(ji,jj,jk) = resto(ji,jj,jk)      * ( zbdmp + (zsdmp-zbdmp)*EXP(-fsdept(ji,jj,jk)/hdmp) )
+                  resto(ji,jj,jk) = resto(ji,jj,jk)      * ( zbdmp + (zsdmp-zbdmp)*EXP(-fsdept(ji,jj,jk)/rn_dep) )
                END DO
             END DO
@@ -431,5 +376,5 @@
 
 
-      IF( cp_cfg == "orca" .AND. ( ndmp > 0 .OR. ndmp == -1 ) ) THEN
+      IF( cp_cfg == "orca" .AND. ( nn_hdmp > 0 .OR. nn_hdmp == -1 ) ) THEN
 
          !                                         ! =========================
@@ -520,8 +465,8 @@
                zmrs( ji , mj0(ij0):mj1(ij1) ) = 0.1 * ABS( FLOAT(ji - mi1(ii1)) )
             END DO 
-            zsdmp = 1./(sdmp * rday)
-            zbdmp = 1./(bdmp * rday)
+            zsdmp = 1./(rn_surf * rday)
+            zbdmp = 1./(rn_bot * rday)
             DO jk = 1, jpk
-               zhfac (jk) = ( zbdmp + (zsdmp-zbdmp) * EXP(-fsdept(1,1,jk)/hdmp) )
+               zhfac (jk) = ( zbdmp + (zsdmp-zbdmp) * EXP(-fsdept(1,1,jk)/rn_dep) )
             END DO
             !                                       ! ========================
@@ -540,19 +485,13 @@
          resto(:,:, 1 ) = 0.e0
          resto(:,:,jpk) = 0.e0
-
-      ELSE
-         !    ------------
-         !     No damping
-         !    ------------
-         CALL ctl_stop( 'Choose a correct value of ndmp or DO NOT defined key_tradmp' )
+         !                         !--------------------!
+      ELSE                         !     No damping     !
+         !                         !--------------------!
+         CALL ctl_stop( 'Choose a correct value of nn_hdmp or DO NOT defined key_tradmp' )
       ENDIF
 
-      !    ----------------------------
-      !     Create Print damping array
-      !    ----------------------------
-
-      ! ndmpf   : = 1 create a damping.coeff NetCDF file
-
-      IF( ndmpf == 1 ) THEN
+      !                            !--------------------------------!
+      IF( nn_file == 1 ) THEN      !  save damping coef. in a file  !
+         !                         !--------------------------------!
          IF(lwp) WRITE(numout,*) '              create damping.coeff.nc file'
          CALL iom_open  ( 'damping.coeff', inum0, ldwrt = .TRUE., kiolib = jprstlib )
Index: trunk/NEMO/OPA_SRC/TRA/traldf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traldf.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRA/traldf.F90	(revision 1601)
@@ -113,5 +113,5 @@
       !! ** Purpose :   Choice of the operator for the lateral tracer diffusion
       !!
-      !! ** Method  :   set nldf from the nam_traldf logicals
+      !! ** Method  :   set nldf from the namtra_ldf logicals
       !!      nldf == -1   ESOPA test: ALL operators are used
       !!      nldf ==  0   laplacian operator
@@ -122,7 +122,7 @@
       INTEGER ::   ioptio, ierr         ! temporary integers 
 !      
-!     NAMELIST/nam_traldf/ ln_traldf_lap  , ln_traldf_bilap,                &
-!        &                 ln_traldf_level, ln_traldf_hor, ln_traldf_iso,   &
-!        &                 aht0, ahtb0, aeiv0
+!     NAMELIST/namtra_ldf/ ln_traldf_lap  , ln_traldf_bilap,                  &
+!        &                 ln_traldf_level, ln_traldf_hor  , ln_traldf_iso,   &
+!        &                 rn_aht_0       , rn_ahtb_0      , rn_aeiv_0
       !!----------------------------------------------------------------------
 
@@ -130,8 +130,6 @@
       ! ===============================================
     
-      ! Namelist nam_traldf already read in ldftra module
-!     ! Read Namelist nam_traldf : Lateral physics on tracers
-!     REWIND( numnam )
-!     READ  ( numnam, nam_traldf )
+!     REWIND( numnam )                ! Namelist namtra_ldf already read in ldftra module
+!     READ  ( numnam, namtra_ldf )    
 
       IF(lwp) THEN                    ! Namelist print
@@ -139,10 +137,10 @@
          WRITE(numout,*) 'tra:ldf_ctl : lateral tracer diffusive operator'
          WRITE(numout,*) '~~~~~~~~~~~'
-         WRITE(numout,*) '       Namelist nam_traldf : set lateral mixing parameters (type, direction, coefficients)'
-         WRITE(numout,*) '          laplacian operator          ln_traldf_lap   = ', ln_traldf_lap
-         WRITE(numout,*) '          bilaplacian operator        ln_traldf_bilap = ', ln_traldf_bilap
-         WRITE(numout,*) '          iso-level                   ln_traldf_level = ', ln_traldf_level
-         WRITE(numout,*) '          horizontal (geopotential)   ln_traldf_hor   = ', ln_traldf_hor
-         WRITE(numout,*) '          iso-neutral                 ln_traldf_iso   = ', ln_traldf_iso
+         WRITE(numout,*) '   Namelist namtra_ldf : set lateral mixing parameters (type, direction, coefficients)'
+         WRITE(numout,*) '      laplacian operator          ln_traldf_lap   = ', ln_traldf_lap
+         WRITE(numout,*) '      bilaplacian operator        ln_traldf_bilap = ', ln_traldf_bilap
+         WRITE(numout,*) '      iso-level                   ln_traldf_level = ', ln_traldf_level
+         WRITE(numout,*) '      horizontal (geopotential)   ln_traldf_hor   = ', ln_traldf_hor
+         WRITE(numout,*) '      iso-neutral                 ln_traldf_iso   = ', ln_traldf_iso
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/tranxt.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 1601)
@@ -26,5 +26,6 @@
    USE zdf_oce         ! ???
    USE domvvl          ! variable volume
-   USE dynspg_oce      ! surface pressure gradient variables
+   USE dynspg_oce      ! surface     pressure gradient variables
+   USE dynhpg          ! hydrostatic pressure gradient 
    USE trdmod_oce      ! ocean variables trends
    USE trdmod          ! ocean active tracers trends 
